|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QPrintDialog Class Reference
[QtGui module]

The QPrintDialog class provides a dialog for specifying the printer's configuration. More...

    #include <QPrintDialog>

Inherits QAbstractPrintDialog.

- List of all members, including inherited members

### Public Functions

- QPrintDialog ( QPrinter * printer, QWidget * parent = 0 )
- ~QPrintDialog ()
- virtual int exec ()

- 14 public functions inherited from QAbstractPrintDialog
- 9 public functions inherited from QDialog
- 184 public functions inherited from QWidget
- 28 public functions inherited from QObject
- 10 public functions inherited from QPaintDevice

### Additional Inherited Members

- 2 properties inherited from QDialog
- 52 properties inherited from QWidget
- 1 property inherited from QObject
- 5 public slots inherited from QDialog
- 17 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject
- 39 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

## Detailed Description

The QPrintDialog class provides a dialog for specifying the printer's configuration.

It encompasses both the sort of details needed for doing a simple print-out and some print configuration setup.

Typical use of the QPrintDialog is to construct it on a QPrinter object and call exec() to execute it.

        QPrintDialog printDialog(printer, parent);
        if (printDialog.exec() == QDialog::Accept) {
            // print ...
        }

The printer dialog in Motif style:

## Member Function Documentation

### QPrintDialog::QPrintDialog ( QPrinter * printer, QWidget * parent = 0 )

Constructs a new modal printer dialog for the given printer with the given parent.

### QPrintDialog::~QPrintDialog ()

Destroys the object and frees any allocated resources. Does not delete the associated QPrinter object.

### int QPrintDialog::exec () `[virtual]`

Launches the print dialog.

Reimplemented from QAbstractPrintDialog.

See also QDialog::DialogCode, accept(), and reject().